# module Pygments

Pygments provides access to the Pygments library via a pipe and a long-running Python process.

### Constants

VERSION

### Public Class Methods

engine() click to toggle source

    # File lib/pygments.rb, line 11
    def engine
      Thread.current.thread_variable_get(:pygments_engine) ||
        Thread.current.thread_variable_set(:pygments_engine, Pygments::Popen.new)
    end